#line 1 "D:/Project_SCADA/HID Read Write Interrupt/HID_Read_Write_Interrupt.c"
#line 30 "D:/Project_SCADA/HID Read Write Interrupt/HID_Read_Write_Interrupt.c"
unsigned char readbuff[64] absolute 0x500;
unsigned char writebuff[64] absolute 0x540;
 unsigned int temp_res;
 unsigned int temp_res1;
 int i;
char uart_rd,output[35];
char cnt;
char kk;
long sum;
void txpacket(int value);
void onoff(int value);

void interrupt(){

 USB_Interrupt_Proc();
}

void main(void){

 TRISA = 0xFF;
 ADCON1 |= 0x00;
 CMCON |= 7;
 TRISB = 0;
 LATB = 0;
 UART1_Init(9600);
 Delay_ms(100);
 HID_Enable(&readbuff,&writebuff);

 while(1){
 UART1_Read_Text(output, "~", 35);


 while(!HID_Read());
 txpacket(readbuff[1]);
 UART1_Read_Text(output, "~", 35);

 switch(readbuff[0]){
 case 0x79:
 txpacket(readbuff[1]);
 onoff(0x04);

 break;
 case 0x80:
 txpacket(readbuff[1]);
 onoff(0x05);

 break;
#line 83 "D:/Project_SCADA/HID Read Write Interrupt/HID_Read_Write_Interrupt.c"
 case 0x82:
 UART1_Read_Text(output, "~", 35);

 for(i=0;i<35;i++)
 {
 writebuff[i]=output[i];
 }
 txpacket(readbuff[1]);
 while(!HID_Write(&writebuff,64));
 break;
 }

 }


 }

 void txpacket(int value){
 UART1_Write(0x7e);
 UART1_Write(0x00);
 UART1_Write(0x0f);
 UART1_Write(0x10);
 UART1_Write(0x00);
 UART1_Write(0x00);
 UART1_Write(0x13);
 UART1_Write(0xa2);
 UART1_Write(0x00);
 UART1_Write(0x40);
 UART1_Write(0xb0);
 UART1_Write(0xa2);
 UART1_Write(0x4e);
 UART1_Write(0xff);
 UART1_Write(0xfc);
 UART1_Write(0x00);
 UART1_Write(0x00);
 UART1_Write(value);
 sum =0xff-((0x10 + 0x00 + 0x13 + 0xa2 + 0x40 + 0xb0 + 0xa2 + 0x4e + 0xff+0xfc+value)&0xff);
 UART1_Write(sum);
 Delay_ms(10);
 }

 void onoff(int value){
 UART1_Write(0x7e);
 UART1_Write(0x00);
 UART1_Write(0x10);
 UART1_Write(0x17);
 UART1_Write(0x00);
 UART1_Write(0x00);
 UART1_Write(0x13);
 UART1_Write(0xa2);
 UART1_Write(0x00);
 UART1_Write(0x40);
 UART1_Write(0xb0);
 UART1_Write(0xa2);
 UART1_Write(0x4e);
 UART1_Write(0xff);
 UART1_Write(0xfc);
 UART1_Write(0x02);
 UART1_Write(0x44);
 UART1_Write(0x34);
 UART1_Write(value);
 sum =0xff-((0x17 + 0x00 + 0x13 + 0xa2 + 0x40 + 0xb0 + 0xa2 + 0x4e + 0xff+0xfc+0x02+0x44+0x34+value)&0xff);
 UART1_Write(sum);

 }
